from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

pyscf = PySCF(frag=no2, method="hf", scftype="uhf", basis="3-21g", mult=2, threshold=1e-9)

sp = SP(theory=pyscf, gradients=True)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=tightscf from Tcl-ChemShell
#eref = -202.84301303
# ORCA 5.0.3 
#eref = -202.8430167

#pyscf reference
eref = -202.843015391

testutils.validate(ecalc, eref, tol=1.35e-6)
